#include <bits/stdc++.h>

using namespace std;

int n, k;
int a[100000];

int main()
{
    cin >> n >> k;
    for (int i = 0; i < n; i++)
    {
        cin >> a[i];
    }
    if (k == a[n - 1])
    {
        cout << a[0];
    }
    else
    {
        for (int i = 0; i < n; i++)
        {
            if (a[i] == k)
                cout << a[i + 1];
            break;
        }
    }
    return 0;
}